Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.ml.hmm.alog
Enum ForwardBackwardCalculator.Computation

    java.lang.Object
      java.lang.Enum<ForwardBackwardCalculator.Computation>
          org.encog.ml.hmm.alog.ForwardBackwardCalculator.Computation

All Implemented Interfaces:
  Serializable, Comparable<ForwardBackwardCalculator.Computation>

Enclosing class:
  ForwardBackwardCalculator

    public static enum ForwardBackwardCalculator.Computation

extends Enum<ForwardBackwardCalculator.Computation>

Enum Constant Summary
`ALPHA`
`BETA`

Method Summary
`static ForwardBackwardCalculator.Computation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ForwardBackwardCalculator.Computation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALPHA

    public static final ForwardBackwardCalculator.Computation ALPHA

### BETA

    public static final ForwardBackwardCalculator.Computation BETA

Method Detail

### values

    public static ForwardBackwardCalculator.Computation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ForwardBackwardCalculator.Computation c : ForwardBackwardCalculator.Computation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ForwardBackwardCalculator.Computation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.